2010-04-23 04:26:33     uClinux build problem!!!!

Document created by Aaronwu Employee on Aug 21, 2013
Version 1Show Document
  • View in full screen mode

2010-04-23 04:26:33     uClinux build problem!!!!

sabin Maniac (ROMANIA)

Message: 88808   

 

I have a problem when I try to build uClinux-dist-2008R1.5-RC3 with blackfin-toolchain-08r1.5-14.x86_64 toolchain(which I extracted and put it in the /opt directory and I exported the PATH) I get this errors:

 

rm -f linux-2.6.x/usr/initramfs_data.cpio.gz

make ARCH=blackfin   CROSS_COMPILE=bfin-uclinux- -j1 -C linux-2.6.x  || exit 1

/opt/uClinux/bfin-uclinux/bin/bfin-uclinux-gcc: 5: Syntax error: "(" unexpected

make[1]: Entering directory `/home/bfin/Desktop/uClinux-dist-2008R1.5-RC3/linux-2.6.x'

  CHK     include/linux/version.h

  CHK     include/linux/utsrelease.h

  CC      arch/blackfin/kernel/asm-offsets.s

/opt/uClinux/bfin-uclinux/bin/bfin-uclinux-gcc: 5: Syntax error: "(" unexpected

make[2]: *** [arch/blackfin/kernel/asm-offsets.s] Error 2

make[1]: *** [prepare0] Error 2

make[1]: Leaving directory `/home/bfin/Desktop/uClinux-dist-2008R1.5-RC3/linux-2.6.x'

make: *** [linux] Error 1

 

My objective is to build a uClinux for bf537-stamp with support for ad1938 codec.I plan to copy the /sound folder into this distribution from a trunk version(the only one that has support for this codec) and  build it.Please tell me if my angle is wrong.I already built a 2007 version of uClinux and downloaded it to the board.

 

I use a virtual machine with Ubuntu 9.10 as a development host.

QuoteReplyEditDelete

 

 

2010-04-23 11:16:14     Re: uClinux build problem!!!!

Robin Getz (UNITED STATES)

Message: 88822   

 

Sabin:

 

We only support the current release - that would be 2009, not 2008

 

Please upgrade.

 

-Robin

QuoteReplyEditDelete

 

 

2010-04-23 11:29:25     Re: uClinux build problem!!!!

Mike Frysinger (UNITED STATES)

Message: 88831   

 

either you downloaded the wrong toolchain (your host is 32bit and you're trying to run a 64bit), or your binaries are corrupted.

 

you should delete all of the 2008R1.5 stuff you've downloaded & installed, and upgrade to 2009R1.1.

QuoteReplyEditDelete

 

 

2010-04-24 03:09:01     Re: uClinux build problem!!!!

sabin Maniac (ROMANIA)

Message: 88843   

 

I have solve this problem.I have upgraded toolchain and distro.

Attachments

    Outcomes